Search documentation of inets

# http_uri (inets v9.4.2)

View Source

Old URI utility module, use uri_string instead

This module is deprecated since OTP 23. Use the module `uri_string` to properly handle URIs, this is the recommended module since OTP 21.

### Data types

Type definitions that are related to URI:

- `uri_part() = [byte()] | binary()` - Syntax according to the URI definition in RFC 3986, for example, "http://www.erlang.org/"

For more information about URI, see RFC 3986.

# Summary

## Functions

decode(QuotedData) deprecated

Decodes a possibly percent encoded URI part

encode(Data) deprecated

Performs percent encoding.

# Functions

# decode(QuotedData)

(since OTP R15B01)
This function is deprecated. http_uri:decode/1 is deprecated; use uri_string:unquote function instead.

    -spec decode(QuotedData) -> Data when QuotedData :: unicode:chardata(), Data :: unicode:chardata().

Decodes a possibly percent encoded URI part

#### Warning

Use `uri_string:unquote/1` instead

# encode(Data)

(since OTP R15B01)
This function is deprecated. http_uri:encode/1 is deprecated; use uri_string:quote function instead.

    -spec encode(Data) -> QuotedData when Data :: unicode:chardata(), QuotedData :: unicode:chardata().

Performs percent encoding.

#### Warning

Use `uri_string:quote/1` instead